package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AimPlacePosition;


/**
*  service接口类
*/
public interface AimPlacePositionService{

    List<AimPlacePosition> getAimPlacePositionList(AimPlacePosition record);

    List<AimPlacePosition> getAimPlacePositionByPage(Page page, AimPlacePosition record);

    AimPlacePosition getAimPlacePositionById(String id);

    AimPlacePosition getAimPlacePosition(AimPlacePosition record);

    boolean createAimPlacePosition(AimPlacePosition record);

    boolean deleteAimPlacePosition(AimPlacePosition record);

    boolean updateAimPlacePosition(AimPlacePosition record);

    List<AimPlacePosition> getAimPlacePositionChildList(AimPlacePosition record);
}

